Package owl.factories

## Interface EquivalenceClassFactory

-     public interface EquivalenceClassFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BitSet` | `atomicPropositions​(EquivalenceClass clazz)` | Collects all literals used in the bdd and stores the corresponding atomic propositions in the BitSet.
    `default EquivalenceClass` | `conjunction​(Collection<EquivalenceClass> classes)` |
    `EquivalenceClass` | `conjunction​(Iterator<EquivalenceClass> classes)` |
    `default EquivalenceClass` | `conjunction​(EquivalenceClass... classes)` |
    `default EquivalenceClass` | `conjunction​(EquivalenceClass clazz, EquivalenceClass other)` |
    `default EquivalenceClass` | `disjunction​(Collection<EquivalenceClass> classes)` |
    `EquivalenceClass` | `disjunction​(Iterator<EquivalenceClass> classes)` |
    `default EquivalenceClass` | `disjunction​(EquivalenceClass... classes)` |
    `default EquivalenceClass` | `disjunction​(EquivalenceClass clazz, EquivalenceClass other)` |
    `default EquivalenceClass` | `getFalse()` |
    `default EquivalenceClass` | `getTrue()` |
    `boolean` | `implies​(EquivalenceClass clazz, EquivalenceClass other)` |
    `Set<Formula>` | `modalOperators​(EquivalenceClass clazz)` | Compute the support of the EquivalenceClass.
    `EquivalenceClass` | `of​(Formula formula)` |
    `EquivalenceClass` | `substitute​(EquivalenceClass clazz, Function<Formula,Formula> substitution)` |
    `EquivalenceClass` | `temporalStep​(EquivalenceClass clazz, BitSet valuation)` |
    `LabelledTree<Integer,EquivalenceClass>` | `temporalStepTree​(EquivalenceClass clazz)` |
    `EquivalenceClass` | `temporalStepUnfold​(EquivalenceClass clazz, BitSet valuation)` |
    `String` | `toString​(EquivalenceClass clazz)` |
    `EquivalenceClass` | `unfold​(EquivalenceClass clazz)` |
    `EquivalenceClass` | `unfoldTemporalStep​(EquivalenceClass clazz, BitSet valuation)` |
    `List<String>` | `variables()` |

- - ### Method Detail

    - #### variables

          List<String> variables()

    - #### of

          EquivalenceClass of​(Formula formula)

    - #### getFalse

          default EquivalenceClass getFalse()

    - #### getTrue

          default EquivalenceClass getTrue()

    - #### atomicPropositions

          BitSet atomicPropositions​(EquivalenceClass clazz)

      Collects all literals used in the bdd and stores the corresponding atomic propositions in the BitSet.

    - #### modalOperators

          Set<Formula> modalOperators​(EquivalenceClass clazz)

      Compute the support of the EquivalenceClass.
      Returns:
        All modal operators this equivalence class depends on.

    - #### implies

          boolean implies​(EquivalenceClass clazz,
                          EquivalenceClass other)

    - #### conjunction

          default EquivalenceClass conjunction​(EquivalenceClass clazz,
                                               EquivalenceClass other)

    - #### conjunction

          default EquivalenceClass conjunction​(EquivalenceClass... classes)

    - #### conjunction

          default EquivalenceClass conjunction​(Collection<EquivalenceClass> classes)

    - #### conjunction

          EquivalenceClass conjunction​(Iterator<EquivalenceClass> classes)

    - #### disjunction

          default EquivalenceClass disjunction​(EquivalenceClass clazz,
                                               EquivalenceClass other)

    - #### disjunction

          default EquivalenceClass disjunction​(EquivalenceClass... classes)

    - #### disjunction

          default EquivalenceClass disjunction​(Collection<EquivalenceClass> classes)

    - #### disjunction

          EquivalenceClass disjunction​(Iterator<EquivalenceClass> classes)

    - #### substitute

          EquivalenceClass substitute​(EquivalenceClass clazz,
                                      Function<Formula,Formula> substitution)

    - #### temporalStep

          EquivalenceClass temporalStep​(EquivalenceClass clazz,
                                        BitSet valuation)

    - #### temporalStepUnfold

          EquivalenceClass temporalStepUnfold​(EquivalenceClass clazz,
                                              BitSet valuation)

    - #### unfold

          EquivalenceClass unfold​(EquivalenceClass clazz)

    - #### unfoldTemporalStep

          EquivalenceClass unfoldTemporalStep​(EquivalenceClass clazz,
                                              BitSet valuation)

    - #### toString

          String toString​(EquivalenceClass clazz)

    - #### temporalStepTree

          LabelledTree<Integer,EquivalenceClass> temporalStepTree​(EquivalenceClass clazz)